Odds2_Room = {}

function Odds2_Room:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function Odds2_Room:init()
	self.datas = {}
	self.datas[1] = {RoomID = 1, LaserAdd = 7000, LaserReduce = 0, FormationAdd = 4500, FormationReduce = 0}
	self.datas[2] = {RoomID = 2, LaserAdd = 6000, LaserReduce = 1000, FormationAdd = 3500, FormationReduce = 2000}
	self.datas[3] = {RoomID = 3, LaserAdd = 5000, LaserReduce = 2000, FormationAdd = 4000, FormationReduce = 4500}
	self.datas[4] = {RoomID = 4, LaserAdd = 4000, LaserReduce = 3000, FormationAdd = 4000, FormationReduce = 3000}
	self.datas[5] = {RoomID = 5, LaserAdd = 5000, LaserReduce = 2000, FormationAdd = 5000, FormationReduce = 2000}
	self.datas[6] = {RoomID = 6, LaserAdd = 5000, LaserReduce = 2000, FormationAdd = 5000, FormationReduce = 2000}
	self.datas[7] = {RoomID = 7, LaserAdd = 5000, LaserReduce = 2000, FormationAdd = 5000, FormationReduce = 2000}
	self.datas[8] = {RoomID = 8, LaserAdd = 5000, LaserReduce = 2000, FormationAdd = 5000, FormationReduce = 2000}
	self.datas[9] = {RoomID = 9, LaserAdd = 5000, LaserReduce = 2000, FormationAdd = 5000, FormationReduce = 2000}
	self.datas[10] = {RoomID = 10, LaserAdd = 5000, LaserReduce = 2000, FormationAdd = 5000, FormationReduce = 2000}
	self.datas[11] = {RoomID = 11, LaserAdd = 5000, LaserReduce = 2000, FormationAdd = 5000, FormationReduce = 2000}
	self.datas[15] = {RoomID = 15, LaserAdd = 5000, LaserReduce = 2000, FormationAdd = 5000, FormationReduce = 2000}
	self.datas[20] = {RoomID = 20, LaserAdd = 5000, LaserReduce = 2000, FormationAdd = 5000, FormationReduce = 2000}
end

Odds2_Room:init()
